## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://dev.writer.com/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL

```
curl --location --request GET https://api.writer.com/v1/applications/jobs/{job_id} \
 --header "Authorization: Bearer <token>"
```

### Python Example

```
import os
from writerai import Writer

client = Writer(
    api_key=os.environ.get("WRITER_API_KEY"),  # This is the default and can be omitted
)
application_generate_async_response = client.applications.jobs.retrieve(
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(application_generate_async_response.id)
```

### JavaScript Example

```
import Writer from 'writer-sdk';

const client = new Writer({
  apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});

async function main() {
  const applicationGenerateAsyncResponse = await client.applications.jobs.retrieve(
    '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  );

console.log(applicationGenerateAsyncResponse.id);
}

main();
```

### Sample Response

```
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "application_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "data": {
    "suggestion": "<string>",
    "title": "<string>"
  },
  "error": "<string>"
}
```

### API Endpoint

**GET** `/v1/applications/jobs/{job_id}`

### No-Code Applications

No-code applications are now called [no-code agents](https://dev.writer.com/no-code/introduction). The [Applications API](https://dev.writer.com/api-reference/application-api/api-reference/application-api/applications), which you can use to programmatically interact with no-code agents, still uses the term `application` to minimize breaking changes.

### Authorizations

- **Authorization**  
  string  
  header  
  required  
  Bearer authentication header of the form `Bearer <token>`, where `<token>` is your [Writer API key](https://dev.writer.com/api-reference/api-keys).

### Path Parameters

- **job_id**  
  string<uuid>  
  required  
  The ID of the job to retrieve.

### Response

- **200 - application/json**  
  Successful response
  - **id**  
    string<uuid>  
    required  
    The unique identifier for the job.
  - **status**  
    enum<string>  
    required  
    The status of the job.  
    Available options:
    `in_progress`, `failed`, `completed`
  - **application_id**  
    string  
    required  
    The ID of the application associated with this job.
  - **created_at**  
    string<date-time>  
    required  
    The timestamp when the job was created.
  - **updated_at**  
    string<date-time>  
    The timestamp when the job was last updated.
  - **completed_at**  
    string<date-time>  
    The timestamp when the job was completed.
  - **data**  
    generate_application_response · object  
    The result of the completed job, if applicable.
    - **error**  
      string  
      The error message if the job failed.
